#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKEOPTS = -DLIB_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
            -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt5 \
            -DQTC_QT5_ENABLE_KDE=On \
            -DQTC_QT4_ENABLE_KDE=Off \
            -DQTC_QT4_ENABLE_KWIN=Off \
            -DENABLE_TEST=Off

%:
	dh $@ --with=kf5

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)
